petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSAdaptGetStepLimits

Get the minimum and maximum step sizes to be considered by the controller

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptGetStepLimits(TSAdapt adapt,PetscReal *hmin,PetscReal *hmax)

Not Collective

### Input Arguments

adapt -time step adaptivity context, usually gotten with TSGetAdapt()

### Output Arguments

| hmin | - minimum time step
| hmax | - maximum time step

### See Also

TSAdapt, TSAdaptSetStepLimits(), TSAdaptChoose()

### Level

intermediate

### Location

src/ts/adapt/interface/tsadapt.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages